@import "src/@fuse/scss/fuse";

.font-panel-title {
    font-size: 20px;
    margin-top: 10px;
    font-weight: 400;
}

.example-action-buttons {
    padding-bottom: 20px;
  }
  
  .example-headers-align .mat-expansion-panel-header-title,
  .example-headers-align .mat-expansion-panel-header-description {
    flex-basis: 0;
  }
  
  .example-headers-align .mat-expansion-panel-header-description {
    justify-content: space-between;
    align-items: center;
  }

  .top-bg {
    position: absolute;
    z-index: 1;
    top: 0;
    right: 0;
    left: 0;
    height: 200px ;
    background-image: $top-bg-image;
    background-size: cover;
    
    @include media-breakpoint-down(xs) {
        height: 240px;
    }
}


:host {
    

    #price-tables {
        
        .header {
            padding: 12px;
            height: 100px;
            min-height: 100px;
            //background: rgb(87,154,226);//#1A237E;
            //background: linear-gradient(to right, #0E2A3B 0%, #34306B 100%);

            @include media-breakpoint-down('xs') {
                height: 400px;
                min-height: 400px;
            }

            .hero-text {
                margin: 8px 24px;

                @include media-breakpoint-down('xs') {
                    margin: 64px 24px;
                }

                .h1 {
                    color: white;
                    font-size: 48px;
                    font-weight: 300;
                    letter-spacing: 0.01em;
                    text-align: center;

                    @include media-breakpoint-down('xs') {
                        font-size: 32px;
                    }
                }

                .h3 {
                    color: rgba(255, 255, 255, 0.75);
                    max-width: 480px;
                    text-align: center;
                    margin-top: 16px;
                    font-weight: 300;
                    letter-spacing: 0.03em;

                    @include media-breakpoint-down('xs') {
                        font-size: 14px;
                    }
                }
            }
        }

        .content {

            .mat-tab-group,
            .mat-tab-body-wrapper,
            .tab-content {
                flex: 1 1 auto;
                max-width: 100%;
                padding: 30px;
            }
    
            .mat-tab-body-content {
                display: flex;
            }
    
            .mat-tab-label {
                height: 64px;
            }

            
        }

        .price-tables {
            

            @include media-breakpoint-down('xs') {
               
            }

            .price-table {
                width: 205px;
            }
        }

        .faq {
            flex: 1 0 auto;
            margin: 96px auto;
            max-width: 840px;

            .title {
                font-size: 32px;
                font-weight: 300;
                text-align: center;
                margin-bottom: 64px;
                padding: 0 16px;
            }

            .item {
                padding: 24px;

                .question {
                    font-size: 18px;
                    margin-bottom: 8px;
                }

                .answer {
                    font-size: 16px;
                    line-height: 1.5;
                    color: rgba(0, 0, 0, 0.54);
                }
            }
        }
    }

    #invoice {

        &.modern {
            padding: 0;
            overflow: auto;
      
            .invoice-container {
                padding: 5px;
      
                .card {
                    width: 1250px;
                    min-width: 1250px;
                    max-width: 1250px;
                    padding: 10px;
                    overflow: hidden;
                    background: #FFFFFF;
                    // @include mat-elevation(7);
      
                    .header-invoice {
      
                        .ids {
                            line-height: 22px;
                            color: rgba(0, 0, 0, 0.54);
      
                            .detail {
                                width: 160px;
                            }
      
                            .seller {
                                margin-bottom: 80px;
      
                                .logo {
                                    width: 156px;
                                }
                            }
      
                            .client {
      
                                .label {
                                    width: 156px;
                                    font-size: 24px;
                                    font-weight: 300;
                                }
                            }
      
                            .divider {
                                width: 1px;
                                margin: 0 48px;
                                background-color: rgba(0, 0, 0, 0.12);
                                height: 144px;
                            }
                        }
      
                        .summary {
                            font-size: 15px;
      
                            .label {
                                color: rgba(0, 0, 0, 0.54);
                                text-align: left;
                                padding-right: 16px;
                            }
      
                            .value {
                                color: rgba(0, 0, 0, 1);
                            }
      
                            .code {
                                font-size: 35px;
                                font-weight: 300;
      
                                td {
                                    padding-bottom: 32px;
                                }
                            }
                        }
                    }
      
                    .content {
      
                        .invoice-table {
                            margin-top: 50px;
                            font-size: 15px;
      
                            .title {
                                font-size: 17px;
                            }
      
                            .detail {
                                margin-top: 8px;
                                font-size: 12px;
                                color: rgba(0, 0, 0, 0.54);
                                max-width: 360px;
                            }
                        }
      
                        .invoice-table-footer {
                            margin: 32px 0 50px 0;
      
                            tr {
      
                                td {
                                    text-align: right;
                                    font-size: 17px;
                                    font-weight: 500;
                                    color: rgba(0, 0, 0, 0.54);
                                    border-bottom: none;
                                    padding: 8px 8px;
      
                                    &:first-child {
                                        text-align: left;
                                    }
                                }
      
                                &.discount {
      
                                    td {
                                        padding-bottom: 32px;
                                    }
                                }
      
                                &.total {
      
                                    td {
                                        padding: 32px 8px;
                                        border-top: 1px solid rgba(0, 0, 0, 0.12);
                                        font-size: 35px;
                                        font-weight: 300;
                                        color: rgba(0, 0, 0, 1);
                                    }
                                }
                            }
                        }
                    }
      
                    .footer {
      
                        .note {
                            font-size: 15px;
                            font-weight: 500;
                            margin-bottom: 24px;
                        }
      
                        // IE10 fix
                        .logo, .small-note {
                            -ms-flex: 0 1 auto;
                        }
      
                        .logo {
                            width: 32px;
                            min-width: 32px;
                            margin-right: 24px;
                        }
      
                        .small-note {
                            font-size: 12px;
                            font-weight: 500;
                            color: rgba(0, 0, 0, 0.54);
                            line-height: 18px;
                        }
                    }
                }
            }
        }
      }
      
}